ofbiz-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From doo...@apache.org
Subject svn commit: r981107 - in /ofbiz/branches/release09.04: .gitignore mergefromtrunk.sh runtime/
Date Sun, 01 Aug 2010 00:07:36 GMT
Author: doogie
Date: Sun Aug  1 00:07:35 2010
New Revision: 981107

URL: http://svn.apache.org/viewvc?rev=981107&view=rev
Log:
Update with new version, more featureful.

Modified:
    ofbiz/branches/release09.04/.gitignore
    ofbiz/branches/release09.04/mergefromtrunk.sh
    ofbiz/branches/release09.04/runtime/   (props changed)

Modified: ofbiz/branches/release09.04/.gitignore
URL: http://svn.apache.org/viewvc/ofbiz/branches/release09.04/.gitignore?rev=981107&r1=981106&r2=981107&view=diff
==============================================================================
--- ofbiz/branches/release09.04/.gitignore (original)
+++ ofbiz/branches/release09.04/.gitignore Sun Aug  1 00:07:35 2010
@@ -49,4 +49,5 @@ runtime/logs/*.html*
 runtime/logs/test-results/*
 runtime/data/derby/*
 runtime/catalina/work/*
+runtime/merge-state
 

Modified: ofbiz/branches/release09.04/mergefromtrunk.sh
URL: http://svn.apache.org/viewvc/ofbiz/branches/release09.04/mergefromtrunk.sh?rev=981107&r1=981106&r2=981107&view=diff
==============================================================================
--- ofbiz/branches/release09.04/mergefromtrunk.sh (original)
+++ ofbiz/branches/release09.04/mergefromtrunk.sh Sun Aug  1 00:07:35 2010
@@ -18,13 +18,102 @@
 # under the License.
 #####################################################################
 set -e
-prevRev=`expr $1 - 1`
-svn merge -r $prevRev:$1 https://svn.apache.org/repos/asf/ofbiz/trunk 
-trunkLog=runtime/trunkLog.xml
-touch ${trunkLog}
-svn log --xml https://svn.apache.org/repos/asf/ofbiz/trunk -r $1> ${trunkLog}
-releaseBranchMessage="Applied fix from trunk for revision: $1 \n"
-trunkMessage=`grep -e '<msg>' ${trunkLog} | sed 's/<msg>//' | sed 's/<\/msg>//'`

-rm -rf ${trunkLog}
-svn commit -m "`echo ${releaseBranchMessage} ${trunkMessage}`"
 
+# this script requires a posix shell; namely, $(( math evaluation.
+
+help() {
+	cat << _EOF_
+$0 [options]
+
+mergefromtrunk.sh merge \$rev		Apply revision \$rev from trunk.
+mergefromtrunk.sh test			Run test suite(clean-all, run-install, run-tests).
+mergefromtrunk.sh commit		Commit current fix to svn.
+mergefromtrunk.sh abort			Abort current merge session.
+
+-h | --help		Show this help.
+_EOF_
+}
+
+cmd=""
+rev=""
+while [ $# -gt 0 ]; do
+	case "$1" in
+		(-h|--help)
+			help
+			exit 0
+			;;
+		(-*)
+			echo "Unknown arg ($1)." 1>&2
+			help 1>&2
+			exit 1
+			;;
+		(*)
+			if [ z = "z$cmd" ]; then
+				cmd="$1"
+			else
+				case "$cmd" in
+					(merge)
+						rev="$1"
+						;;
+					(*)
+						echo "Too many arguments." 1>&2
+						help 1>&2
+						exit 1
+						;;
+				esac
+			fi
+			;;
+	esac
+	shift
+done
+case "$cmd" in
+	(merge)
+		if [ z = "z$rev" ]; then
+			echo "Need a revision." 1>&2
+			help 1>&2
+			exit 1
+		fi
+		if [ -d runtime/merge-state ]; then
+			echo "Merge session already started." 1>&2
+			help 1>&2
+			exit 1
+		fi
+		mkdir -p runtime/merge-state
+		echo "$rev" > runtime/merge-state/revision
+		# do not run any of the following commands in a complex
+		# chained pipe; if one of the commands in the pipe fails,
+		# it isn't possible to detect the failure.
+		printf "Applied fix from trunk for revision: %s \n===\n\n" "$rev" > runtime/merge-state/log-message
+		svn log https://svn.apache.org/repos/asf/ofbiz/trunk -r "$rev" > runtime/merge-state/log.txt
+		set -- $(wc -l runtime/merge-state/log.txt)
+		head -n $(($1 - 2)) < runtime/merge-state/log.txt > runtime/merge-state/log.txt.head
+		tail -n $(($1 - 5)) < runtime/merge-state/log.txt.head >> runtime/merge-state/log-message
+		prevRev=$(($rev - 1))
+		svn up
+		svn merge -r "$prevRev:$rev" https://svn.apache.org/repos/asf/ofbiz/trunk 
+		;;
+	(test)
+		ant clean-all
+		ant run-install
+		ant run-tests
+		;;
+	(commit)
+		svn commit -F runtime/merge-state/log-message
+		rm -rf runtime/merge-state
+		;;
+	(abort)
+		svn resolved . -R
+		svn revert . -R
+		rm -rf runtime/merge-state
+		;;
+	("")
+		echo "Need a command and a revision." 1>&2
+		help 1>&2
+		exit 1
+		;;
+	(*)
+		echo "Unknown command($cmd)." 1>&2
+		help 1>&2
+		exit 1
+		;;
+esac

Propchange: ofbiz/branches/release09.04/runtime/
------------------------------------------------------------------------------
--- svn:ignore (original)
+++ svn:ignore Sun Aug  1 00:07:35 2010
@@ -2,3 +2,4 @@ jetty
 svninfo.ftl
 data.zip
 test-list-build.xml
+merge-state



Mime
View raw message